FreezeBalanceV2

In Stake2.0, stake an amount of TRX to obtain bandwidth or energy, and obtain equivalent TRON Power(TP) according to the staked amount

Recipes
🔒
Stake and Delegate Resources
Open Recipe
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Returns

Transaction object - JSON object: Unsigned transaction, please refer to the Transaction chapter for the fields contained in it. Since the transaction type is FreezeBalanceV2Contract, the fields contained in raw_data.contract[0].parameter.value in the transaction are as follows:

FieldTypeDescription
owner_addressstringTransaction initiator address.
resourcestringType of resource. (Enum: BANDWIDTH, ENERGY)
frozen_balanceint64Amount of TRX to stake. (Unit: sun, in Stake 2.0)
Body Params
string
required

Owner address, default hexString

int64
required

TRX stake amount, the unit is sun

string
required

TRX stake type, 'BANDWIDTH' or 'ENERGY'

int32

Optional. Specifies the permission ID used for multi-signature accounts.

boolean
Defaults to false

Optional. Specifies whether the address is in Base58 format (default: false). Note: Set to true in this example for demonstration purposes.

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json